Get Buy transaction by External identifier
Retrieve a transaction by its externalTransactionId. This is the identifier you assigned the transaction when creating it. This endpoint returns an array of objects because we cannot ensure the uniqueness of externalTransactionId.
Authorizations
Your publishable API key, passed as the apiKey query parameter. Publishable keys are prefixed with pk_test_ (sandbox) or pk_live_ (production) and are safe to use in client-side code. Find your keys on the API keys page of the dashboard. See Authentication.
Path Parameters
Response
Successful response. Buy Transaction
The transaction's status.
Possible values are waitingPayment (pending bank transfers where MoonPay is not in receipt), pending (transaction is in progress), waitingAuthorization (waiting for card approval, i.e. 3DS, bank side security), failed or completed.
waitingPayment, pending, waitingAuthorization, failed, completed "completed"
The URL the customer is returned to after they authenticate or cancel their payment on the payment method's app or site. If you are using our widget implementation, this is always our transaction tracker page, which provides the customer with real-time information about their transaction.
"https://buy.moonpay.com/transaction_receipt?transactionId=defb7c52-7bd3-422b-9052-374df50cc51a"